Debian Bug report logs - #268102
lynx: SSL error:Can't find common name in certificate-Continue? (y)

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Jan Minar <jjminar@fastmail.fm>

Date: Thu, 26 Aug 2004 02:18:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 231609

Found in versions 2.8.5-1, lynx-cur/2.8.7dev9-1.2

Fixed in version lynx-cur/2.8.8dev.1-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#268102; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Jan Minar <jjminar@fastmail.fm>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Minar <jjminar@fastmail.fm>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx: SSL error:Can't find common name in certificate-Continue? (y)
Date: Thu, 26 Aug 2004 04:06:54 +0200
Package: lynx
Version: 2.8.5-1
Severity: important

This makes lynx unusable as a HTTP*S* browser.

$ lynx https://www.thawte.com
...
SSL error:Can't find common name in certificate-Continue? (y) 

(In a text window, that is.)

I've tried few https: sites, with the same result.  w3m or firefox groks
them ok.  Particularly, there *was* a Common Name in those certificates.

Cheers,
Jan.


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-jan
Locale: LANG=C, LC_CTYPE=C

Versions of packages lynx depends on:
ii  libbz2-1.0                  1.0.2-1      A high-quality block-sorting file 
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgnutls7                  0.8.12-6     GNU TLS library - runtime library
ii  libncursesw5                5.4-4        Shared libraries for terminal hand
ii  zlib1g                      1:1.2.1.1-5  compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#268102; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #10 received at 268102@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 268102@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=268102
Date: Sat, 28 Aug 2004 13:43:33 -0400
>                       Debian Bug report logs - #268102
>      lynx: SSL error:Can't find common name in certificate-Continue? (y)
It works with openssl (no surprise).  Debian's package lists an old version
of gnutls.  I suspect that's the problem.

>Versions of packages lynx depends on:
>ii  libbz2-1.0                  1.0.2-1      A high-quality block-sorting file
>ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
>ii  libgnutls7                  0.8.12-6     GNU TLS library - runtime library
                                 ^^^^^^^^
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#268102; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Torbjörn Wassberg <torbjorn.wassberg.8667@student.uu.se>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #15 received at 268102@bugs.debian.org (full text, mbox):

From: Torbjörn Wassberg <torbjorn.wassberg.8667@student.uu.se>
To: 268102@bugs.debian.org
Subject: Duplicate
Date: Sat, 25 Sep 2004 13:36:22 +0200
This is the same bug as 231609.

/Torbjörn Wassberg



Severity set to `normal'. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 231609 268102. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#268102; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #24 received at 268102-quiet@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 268102-quiet@bugs.debian.org, 231609-quiet@bugs.debian.org
Subject: Re: lynx: SSL error:Can't find common name in certificate-Continue? (y)
Date: Thu, 27 Jan 2005 19:28:20 +0100
I've applied the patch by Torbjörn Wassberg and built packages since
this bug was annoying enough to me to get rid of it.  For convenience
I've placed packages online so other people can use them as well.
Feel free.

They're in http://people.debian.org/~joey/NMU/lynx/

Regards,

	Joey

-- 
Of course, I didn't mean that, which is why I didn't say it.
What I meant to say, I said.              -- Thomas Bushnell

Please always Cc to me when replying to me on the lists.



Severity set to `important' from `normal' Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2.8.7dev9-1.2. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sat, 19 Jul 2008 06:21:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream; removed tag(s) patch. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sat, 29 Aug 2009 14:00:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Oct 2009 07:28:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:11:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.